From 4df08f3805c4ba21584ac1613787a492b1ce42b0 Mon Sep 17 00:00:00 2001
From: Natanael Copa <ncopa@alpinelinux.org>
Date: Wed, 17 Nov 2021 14:41:34 +0100
Subject: [PATCH] lib/misc: Recognize Alpine Linux

Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
---
 open-vm-tools/lib/include/guest_os.h   | 1 +
 open-vm-tools/lib/misc/hostinfoPosix.c | 2 ++
 2 files changed, 3 insertions(+)

diff --git a/open-vm-tools/lib/include/guest_os.h b/open-vm-tools/lib/include/guest_os.h
index 5825cfa8..85f9d7a9 100644
--- a/open-vm-tools/lib/include/guest_os.h
+++ b/open-vm-tools/lib/include/guest_os.h
@@ -295,6 +295,7 @@ Bool Gos_InSetArray(uint32 gos, const uint32 *set);
 /* Linux */
 #define	STR_OS_ALMA_LINUX          "almaLinux"
 #define STR_OS_AMAZON_LINUX        "amazonlinux"
+#define STR_OS_ALPINE              "Alpine"
 #define STR_OS_ANNVIX              "Annvix"
 #define STR_OS_ARCH                "Arch"
 #define STR_OS_ARKLINUX            "Arklinux"
diff --git a/open-vm-tools/lib/misc/hostinfoPosix.c b/open-vm-tools/lib/misc/hostinfoPosix.c
index ab927174..3cfbaf1c 100644
--- a/open-vm-tools/lib/misc/hostinfoPosix.c
+++ b/open-vm-tools/lib/misc/hostinfoPosix.c
@@ -201,6 +201,7 @@ typedef struct {
 
 static const DistroInfo distroArray[] = {
    { "ALT",                "/etc/altlinux-release"      },
+   { "Alpine",             "/etc/alpine-release"        },
    { "Annvix",             "/etc/annvix-release"        },
    { "Arch",               "/etc/arch-release"          },
    { "Arklinux",           "/etc/arklinux-release"      },
@@ -1254,6 +1255,7 @@ HostinfoSetSuseShortName(const ShortNameSet *entry, // IN:
 static const ShortNameSet shortNameArray[] = {
 /* Long distro name     Short distro name          Short name set function */
 { "almalinux",           STR_OS_ALMA_LINUX,         HostinfoGenericSetShortName },
+{ "alpine",              STR_OS_ALPINE,             HostinfoGenericSetShortName },
 { "amazon",              NULL,                      HostinfoSetAmazonShortName  },
 { "annvix",              STR_OS_ANNVIX,             HostinfoGenericSetShortName },
 { "arch",                STR_OS_ARCH,               HostinfoGenericSetShortName },
-- 
2.35.1
